UAN Detailed
Introduction
The API returns detailed information about the employee using UAN.
How to call the API
You are required to pass the access token recieved from the login call, as authorization header in the EPFO UAN Detailed Search request along with uan.
API Input Guidelines
You will need to login before sending firm number request.
Sample Curl
curl --location --request POST 'https://signzy.tech/api/v2/patrons/...patronID.../epfos' \
--header 'Content-Type: application/json' \
--header 'Authorization: ...Authorization token...' \
--data '
{
"task":"uanDetailed",
"essentials":{
"uan": "....uan...",
"password": "....password..."
}
}'Input Parameters
PARAMETER NAME | DESCRIPTION |
|---|---|
Authorization | Access Token for authentication and authorization |
Content-Type | Specifies the format of the data sent in the request body |
task | The type of task to be performed. |
essentials | An object containing details like uan and password. |
uan | Universal Account Number |
password | password |
Sample Response
{
"result": {
"name": "...name...",
"mobileNo": "...mobileNo...",
"emailId": "...emailId...",
"bankAccountNo": "...bankAccountNo...",
"ifsc": "...ifsc...",
"aadhaarNo": "...aadhaarNo...",
"uan": "...uan...",
"pfaccountNo": "...pfaccountNo...",
"establishmentName": "...establishmentName...",
"establishmentAddress": "...establishmentAddress...",
"dateOfJoining": "...dateOfJoining...",
"pfAccountHeldBy": "....pfAccountHeldBy...",
"memberName": "...memberName...",
"dateOfBirth": "...dateOfBirth...",
"fatherSpouseName": "...fatherSpouseName...",
"relationship": "...relationship..."
}
}
Output Parameters
PARAMETER NAME | DESCRIPTION |
|---|---|
name | Name of the employee |
mobileNo | Mobile no of the employee. |
emailId | Email-id no of the employee. |
bankAccountNo | bankAccountNo of the employee. |
ifsc | ifsc code of the bank. |
aadhaarNo | aadhaarNo of the employee. |
uan | uan of the employee |
pfaccountNo | pfaccountNo of the employee |
establishmentName | name of the establishment |
establishmentAddress | address of the establishment |
dateOfJoining | date when the employee joined the organization |
pfAccountHeldBy | name of the person who holds the PF account. |
memberName | name of the member |
dateOfBirth | date of birth |
fatherSpouseName | name of father or spouse |
relationship | relationship with the employee |
Status Codes
CODE | MESSAGE |
|---|---|
200 | OK |
404 | Employee not found. |
400 | Employee not found. |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].